#### D.12.3.2 isoncurve

Procedure from library `hyperel.lib` (see hyperel_lib).

Usage:
  isoncurve(P,h,f); h,f=poly; P=list

Return:
  1 or 0 (if P is on curve or not)

Note:
  Tests, if P=(P[1],P[2]) is on the hyperelliptic curve y^2+h(x)y=f(x). Curve is defined over basering.

Example:

    LIB "hyperel.lib";
    ring R=7,x,dp;
    // hyperelliptic curve y^2 + h*y = f
    poly h=x;
    poly f=x5+5x4+6x2+x+3;
    list P=2,3;
    isoncurve(P,h,f);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.